# $Revision: 1.55 $, $Date: 2011/08/31 18:29:41 $
Summary:	Talk client for one-on-one Internet chatting
Summary(de.UTF-8):	Talk-client für 1:1-Internet-Schwätzchen
Summary(es.UTF-8):	Diálogo de cliente charlas uno a uno en internet
Summary(fr.UTF-8):	Client talk pour les conversations à deux sur l'Internet
Summary(pl.UTF-8):	Klient talk do rozmów jeden-na-jeden w Internecie
Summary(pt_BR.UTF-8):	Conversa de cliente para um-em-um para Internet
Summary(ru.UTF-8):	Демон и клиент talk
Summary(tr.UTF-8):	Internet üzerinde birebir konuşma - talk - sistemi
Summary(uk.UTF-8):	Демон та клієнт talk
Name:		ntalk
Version:	0.17
Release:	10
License:	BSD
Group:		Applications/Networking
Source0:	ftp://ftp.linux.org.uk/pub/linux/Networking/netkit/netkit-%{name}-%{version}.tar.gz
# Source0-md5:	e3c57208f8644ae206dab5e236daf7b3
Source1:	%{name}d.inetd
Source2:	talkd.inetd
Source3:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source3-md5:	730be3085782af4ff21151d9c106549d
Patch0:		netkit-%{name}-misc.patch
Patch1:		%{name}-include.patch
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	rpmbuild(macros) >= 1.268
Obsoletes:	inetutils-talk
Obsoletes:	ntalk-client
Obsoletes:	talk
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a client for the Internet talk protocol, which
allows one-on-one chatting between users on different systems.

%description -l de.UTF-8
Dieses Paket enthält einen Client für das Internet-Talk- Protokoll,
das das Chatten von zwei Benutzern auf verschiedenen Systemen
ermöglicht.

%description -l es.UTF-8
Diálogo de cliente charlas uno a uno en internet.

%description -l fr.UTF-8
Ce package offre un client pour le 'Internet Talk Protocol', qui
permet la conversation un-a-un dans la discussion entre les
utilisateurs de différents systèmes.

%description -l pl.UTF-8
Pakiet ten zawiera klienta dla internetowego protokołu talk, który
umożliwia komunikację między użytkownikami na różnych systemach.

%description -l pt_BR.UTF-8
Este pacote fornece um cliente e um daemon para o protocolo talk, que
permite a conversa um-para-um entre usuários em diferentes sistemas.

%description -l ru.UTF-8
В этом пакете содержится клиент и демон протокола Internet talk,
который позволяет организовать чат между пользователями на разных
системах.

%description -l tr.UTF-8
Bu paket internet talk hizmeti için bir istemci ve sunucu
içermektedir. Bu program 'konuşmak' isteyen kişilerin terminalinde iki
bölüm açacaktır. Kullanıcılardan her biri kendi yazdıklarını ekranın
alt kısmında, karşı tarafın yazdıklarını ise üst kısımda
göreceklerdir.

%description -l uk.UTF-8
Цей пакет містить клієнт та демон протоколу Internet talk, що дозволяє
організувати чат між користувачами на різних системах.

%package -n ntalkd
Summary:	Talk daemon for one-on-one Internet chatting
Summary(de.UTF-8):	Talk-daemon für 1:1-Internet-Schwätzchen
Summary(es.UTF-8):	Servidor de diálogo charlas uno a uno en internet
Summary(fr.UTF-8):	Daemon talk pour les conversations à deux sur l'Internet
Summary(pl.UTF-8):	Serwer talk do rozmów jeden-na-jeden w Internecie
Summary(pt_BR.UTF-8):	Servidor de conversa um-em-um internet
Summary(tr.UTF-8):	Internet üzerinde birebir konuşma - talk - sistemi
Group:		Networking/Daemons
Requires:	inetdaemon
Requires:	rc-inetd >= 0.8.1
Provides:	talkd
Obsoletes:	inetutils-talkd
Obsoletes:	talk-server

%description -n ntalkd
This package provides a daemon for the Internet talk protocol, which
allows one-on-one chatting between users on different systems.

%description -n ntalkd -l de.UTF-8
Dieses Paket enthält einen Dämon für das Internet-Talk- Protokoll, das
das Chatten von zwei Benutzern auf verschiedenen Systemen ermöglicht.

%description -n ntalkd -l es.UTF-8
Diálogo de servidor charlas uno a uno en internet.

%description -n ntalkd -l fr.UTF-8
Ce package offre un démon pour le 'Internet Talk Protocol', qui permet
la conversation un-a-un dans la discussion entre les utilisateurs de
différents systèmes.

%description -n ntalkd -l pl.UTF-8
Pakiet ten zawiera serwer internetowego protokołu talk, który
umożliwia komunikację między użytkownikami na różnych systemach.

%description -n ntalkd -l pt_BR.UTF-8
Servidor talk.

%description -n ntalkd -l tr.UTF-8
Bu paket internet talk hizmeti için bir istemci ve sunucu
içermektedir. Bu program 'konuşmak' isteyen kişilerin terminalinde iki
bölüm açacaktır. Kullanıcılardan her biri kendi yazdıklarını ekranın
alt kısmında, karşı tarafın yazdıklarını ise üst kısımda
göreceklerdir.

%prep
%setup -q -n netkit-%{name}-%{version}
%patch0 -p1
%patch1 -p1

%build
./configure \
	--with-c-compiler="%{__cc}"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_mandir}/man{1,8}} \
	$RPM_BUILD_ROOT/etc/sysconfig/rc-inetd

%{__make} install INSTALLROOT=$RPM_BUILD_ROOT MANDIR=%{_mandir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/ntalkd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/talkd
bzip2 -dc %{SOURCE3} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n ntalkd
%service -q rc-inetd reload

%postun -n ntalkd
if [ "$1" = 0 ]; then
	%service -q rc-inetd reload
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/talk
%{_mandir}/man1/talk.1*
%lang(fi) %{_mandir}/fi/man1/talk.1*
%lang(fr) %{_mandir}/fr/man1/talk.1*
%lang(hu) %{_mandir}/hu/man1/talk.1*
%lang(it) %{_mandir}/it/man1/talk.1*
%lang(ja) %{_mandir}/ja/man1/talk.1*
%lang(pl) %{_mandir}/pl/man1/talk.1*

%files -n ntalkd
%defattr(644,root,root,755)
%doc README BUGS
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man8/*
%lang(ja) %{_mandir}/ja/man8/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ntalk.spec,v $
Revision 1.55  2011/08/31 18:29:41  arekm
- release 10

Revision 1.54  2011/01/29 00:07:06  sparky
- dropped pre-cvs changelog

Revision 1.53  2007/09/05 14:49:07  baggins
- rel 9

Revision 1.52  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.51  2007/02/12 00:49:13  baggins
- converted to UTF-8

Revision 1.50  2006/03/14 01:24:26  glen
- unified rc-inetd usage (via %service), adapterized

Revision 1.49  2006/03/09 14:35:10  glen
- quote %{__cc}

Revision 1.48  2005/12/13 13:58:51  glen
- adapterized (sorted %verify attrs)

Revision 1.47  2004/09/25 12:01:20  blues
- release 8 - obsoletes from inetutils

Revision 1.46  2004/09/02 11:27:26  snurf
- typos / formatting / etc.

Revision 1.45  2004/08/18 16:47:53  undefine
- release 7

Revision 1.44  2003/11/26 23:47:01  speedy
- release 6

Revision 1.43  2003/06/02 15:18:30  ankry
- added/changed non-english-man-pages URL

Revision 1.42  2003/05/28 12:59:59  malekith
- massive attack: source-md5

Revision 1.41  2003/05/25 05:51:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.40  2002/09/12 15:37:26  undefine
- ru/uk translations from KSI

Revision 1.39  2002/07/31 08:49:08  kloczek
- release 5: use new %doc.

Revision 1.38  2002/02/23 04:05:43  kloczek
- adapterized.

Revision 1.37  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.36  2002/01/18 02:14:03  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.35  2001/12/02 00:20:26  kloczek
- one typo and s/gcc/%{__cc}/

Revision 1.34  2001/12/02 00:18:01  kloczek
- merge translations from Conectiva.

Revision 1.33  2001/11/30 21:44:20  qrczak
- ntalk-include.patch: +#include <time.h>
- Release 4.

Revision 1.32  2001/11/19 13:29:01  ankry
- added fi, fr, hu, it, ja, pl man pages
- release 3

Revision 1.31  2001/10/21 20:22:57  blues
- added provides talkd to provides

Revision 1.30  2001/07/28 21:37:30  blues
- typo: %s/sever"/server"/

Revision 1.29  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.27  2000/10/12 02:08:43  kloczek
- release 2: use new rpm automation.

Revision 1.26  2000/09/26 16:25:35  baggins
- finished updated to 0.17
- fixed init scripts

Revision 1.25  2000/08/24 21:24:39  pascalek
- update to 0.17

Revision 1.24  2000/07/13 23:17:44  baggins
- release 4
- rebuild with ncurses 5.1

Revision 1.23  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.22  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.21  2000/04/01 11:15:08  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.20  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.19  2000/01/10 04:06:59  kloczek
- release 3,
- replaced Group between client and server package,
- added "Obsoletes: talk-server" for ntalkd,
- adapter(ized).

Revision 1.18  2000/01/01 20:28:02  kloczek
- updated to 0.16,
- changed packege names: ntalk -> ntalkd, ntalk-clent -> ntalk,
- updated patches,
- server package provides only in.ntalkd (without symlinks to other names).

Revision 1.17  1999/12/21 19:15:57  bszx
 - added use of rc-inetd reload
 - /etc/sysconfig/rc-inetd/* moved from ntalk-client to ntalk

Revision 1.16  1999/10/14 15:47:42  baggins
- small fix

Revision 1.15  1999/10/14 15:45:43  baggins
- support for rc-inetd
- -fno-strict-aliasing to compilation opts

Revision 1.14  1999/09/15 23:35:53  pius
- Requires: inetd -> Requires: inetdaemon

Revision 1.13  1999/07/21 11:11:29  baggins
- added otalk patch
- removed glibc21 patch (obsoleted)

Revision 1.12  1999/07/21 10:54:33  baggins
- macros

Revision 1.11  1999/07/20 12:48:09  wiget
- switch to rpm 3.0.2

Revision 1.10  1999/07/18 14:53:24  baggins
- fixed bogus Group: field

Revision 1.9  1999/07/12 23:06:11  kloczek
- added using CVS keywords in %changelog (for automating them).
